public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Vadim A. Misbakh-Soloviov" <mva@mva.name>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gamerlay:master commit in: games-simulation/kerbal-space-program/
Date: Sat, 17 Jun 2017 06:00:52 +0000 (UTC)	[thread overview]
Message-ID: <1497679243.0a8bbdf4d8db63f63a94388dda01a29dfdf854d7.mva@gentoo> (raw)

commit:     0a8bbdf4d8db63f63a94388dda01a29dfdf854d7
Author:     Vadim A. Misbakh-Soloviov <git <AT> mva <DOT> name>
AuthorDate: Sat Jun 17 06:00:43 2017 +0000
Commit:     Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Sat Jun 17 06:00:43 2017 +0000
URL:        https://gitweb.gentoo.org/proj/gamerlay.git/commit/?id=0a8bbdf4

kerbal-space-program: added

 .../kerbal-space-program-2.13.0.16.ebuild          | 73 ++++++++++++++++++++++
 1 file changed, 73 insertions(+)

diff --git a/games-simulation/kerbal-space-program/kerbal-space-program-2.13.0.16.ebuild b/games-simulation/kerbal-space-program/kerbal-space-program-2.13.0.16.ebuild
new file mode 100644
index 0000000..fada004
--- /dev/null
+++ b/games-simulation/kerbal-space-program/kerbal-space-program-2.13.0.16.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="A combination of platformer and role playing game"
+HOMEPAGE="http://www.unepicgame.com/"
+SRC_URI="gog_${P//-/_}.sh"
+
+RESTRICT="fetch strip"
+LICENSE="EULA"
+
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="app-arch/unzip"
+RDEPEND="
+"
+QA_DIR="usr/share/${PF}"
+QA_PREBUILT="${QA_DIR}/Launcher.x86 ${QA_DIR}/KSP.x86 ${QA_DIR}/Launcher_Data/Mono/x86/libmono.so ${QA_DIR}/KSP_Data/Mono/x86/libmono.so"
+
+pkg_nofetch() {
+	einfo ""
+	einfo "Please buy and download \"${A}\" from corresponding shop (HumbleBundle or GOG)"
+	einfo "and move/link it to \"${DISTDIR}\""
+	einfo "You can get more info on ${HOMEPAGE}"
+	einfo ""
+}
+
+src_unpack() {
+	einfo "\nUnpacking files. This can take several minutes.\n"
+
+	mkdir "${WORKDIR}/tmp" || die "mkdir 'tmp' failed"
+	cd "${WORKDIR}/tmp" || die "cd 'tmp' failed"
+
+	unzip -q "${DISTDIR}/${A}"
+
+	local gpath="data/noarch/game"
+
+	mv "${gpath}" "${S}"
+
+	cd "${S}" && rm -r "${WORKDIR}/tmp"
+}
+
+src_install() {
+	local arch="${ARCH//amd/x86_}"
+	local dir="/usr/share/${PF}"
+	insinto "${dir}"
+	exeinto "${dir}"
+
+	doins -r .
+	doexe {KSP,Launcher}.x86{,_64} || die "Failed to install executables"
+
+	newicon "Launcher_Data/Resources/UnityPlayer.png" "${PN}.png"
+	make_wrapper "${PN}" "./KSP.${arch}" "${dir}"
+	make_wrapper "${PN}-launcher" "./Launcher.${arch}" "${dir}"
+	make_desktop_entry "${PN}" "Kerbal Space Program" "${PN}" || die "make_desktop_entry failed"
+	make_desktop_entry "${PN}-launcher" "Kerbal Space Program: Launcher" "${PN}" || die "make_desktop_entry failed"
+}
+
+pkg_postinst() {
+	einfo "Just in case: neither of these DRM-free versions sees Steam's savegames."
+	einfo "In case, if you played in Steam and moved to DRM-free version,"
+	einfo "consider copying files from:"
+	einfo "~/.local/share/Steam/userdata/[your_user_id]/233980/remote/save"
+	einfo "to:"
+	einfo "~/.local/share/Unepic/unepic/save"
+	einfo "and vice versa if you want to import DRM-free saves to Steam."
+	einfo "Although, it can cause sudden game freezes..."
+}


             reply	other threads:[~2017-06-17  6:01 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-17  6:00 Vadim A. Misbakh-Soloviov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-06-17  6:06 [gentoo-commits] proj/gamerlay:master commit in: games-simulation/kerbal-space-program/ Vadim A. Misbakh-Soloviov
2017-07-01 11:59 Christian Schmitt
2017-11-13 20:18 Christian Schmitt
2017-11-16 20:29 Christian Schmitt
2018-09-09  7:01 Christian Schmitt
2020-02-08 11:56 Christian Schmitt
2020-02-29 13:04 Azamat H. Hackimov
2021-02-24 21:32 Christian Schmitt
2021-06-30 14:23 Christian Schmitt
2023-03-11 21:00 Christian Schmitt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1497679243.0a8bbdf4d8db63f63a94388dda01a29dfdf854d7.mva@gentoo \
    --to=mva@mva.name \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox